<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\TerminAbrechnenNeussVhs\Senden;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class TerminAbrechnenPdfView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/honorarabrechnung_pdf_neuss_vhs.sgt';
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(
      new \ExportKurse(),
      array(
        'hinweise' => $this->viewModel->hinweise,
        'anzahl_teilnehmer' => $this->viewModel->anzahlTeilnehmer
      )
    );
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->kurs);
  }
}